#include <windows.h>

// Win32 application icon.
11 ICON "tngp.ico"

// Executable version information.
VS_VERSION_INFO    VERSIONINFO
FILEVERSION        1,0,0,0
PRODUCTVERSION     1,0,0,0
FILEFLAGSMASK      VS_FFI_FILEFLAGSMASK
FILEFLAGS        0
FILEOS             VOS_NT_WINDOWS32
FILETYPE           VFT_APP
FILESUBTYPE        VFT2_UNKNOWN
BEGIN
  BLOCK "StringFileInfo"
  BEGIN
    BLOCK "080904b0"
    BEGIN
      VALUE "CompanyName", "bzt@codeberg"
      VALUE "FileDescription", "TirNanoG Server"
      VALUE "FileVersion", "1.0.0.0"
      VALUE "InternalName", "Win32App"
      VALUE "LegalCopyright", "©2022 bzt@codeberg"
      VALUE "OriginalFilename", "tngs.exe"
      VALUE "ProductName", "TirNanoG"
      VALUE "ProductVersion", "1.0.0.0"
    END
  END
  BLOCK "VarFileInfo"
  BEGIN
    VALUE "Translation", 0x809, 1200
  END
END

101 DIALOGEX 0, 0, 200, 60
STYLE DS_CENTER | DS_SHELLFONT | WS_SYSMENU
FONT 8, "MS Shell Dlg"
CAPTION "TirNanoG Server Launcher"
BEGIN
    LTEXT "Bind IP", 102, 5, 7, 32, 12
    EDITTEXT 103, 35, 5, 125, 12, ES_AUTOHSCROLL
    LTEXT ":", 104, 161, 7, 12, 12
    EDITTEXT 105, 165, 5, 30, 12, ES_AUTOHSCROLL
    LTEXT "World", 106, 5, 22, 32, 12
    COMBOBOX 107, 35, 20, 160, 71, CBS_DROPDOWNLIST | WS_TABSTOP
    PUSHBUTTON "&Start Server", 108, 5, 40, 190, 16
END
